'use strict';

exports.__esModule = true;
exports.default = createCreateCreateObjectTypeMetadata;
function createCreateCreateObjectTypeMetadata(t, hasComment) {
    return function createCreateObjectTypeMetadata(typeForAnnotation) {
        return function createObjectTypeMetadata(annotation) {
            if (annotation.properties) {
                var props = [];
                var properties = annotation.properties;
                for (var i = 0, l = properties.length; i < l; i++) {
                    var property = properties[i];
                    var key = property.key;
                    var value = property.value;

                    var val = typeForAnnotation(value);
                    if (val) {
                        props.push(t.objectProperty(t.identifier(key.name), val));
                    }
                    if (hasComment(property, true)) {
                        break;
                    }
                }
                return t.objectExpression(props);
            }
            return t.identifier('Object');
        };
    };
}
//# sourceMappingURL=createCreateCreateObjectTypeMetadata.js.map