'use strict';

exports.__esModule = true;
var getTypesInfo = {
    ImportDeclaration: function ImportDeclaration(path, state) {
        /* eslint-disable no-param-reassign */
        var node = path.node;
        var strPath = node.source.value;
        if (strPath === state.reflectImport) {
            state.injectId = node.specifiers[0].local;
        }
        if (strPath === state.ambiantTypeCastImport) {
            state.ambiantTypeCast = path;
        }
    },
    ImportSpecifier: function ImportSpecifier(path, state) {
        var node = path.node;
        var parent = path.parent;
        if (parent.importKind !== 'type') {
            return;
        }
        state.externalTypeNames.set(node.local.name, node.imported.name);
    },
    ExportSpecifier: function ExportSpecifier(path, state) {
        var node = path.node;
        state.exportNames.set(node.local.name, node.exported.name);
    },
    'ExportNamedDeclaration|ExportDefaultDeclaration': function ExportNamedDeclarationExportDefaultDeclaration(path, state) {
        var node = path.node;
        var declaration = node.declaration;
        if (declaration) {
            var id = declaration.id || declaration;
            state.exportNames.set(id.name, id.name);
        }
    },
    TypeAlias: function TypeAlias(path, state) {
        var node = path.node;
        var parent = path.parent;
        if (parent.type !== 'ExportNamedDeclaration') {
            state.internalTypes.set(node.id.name, node.right);
            return;
        }
        state.externalTypeNames.set(node.id.name, node.id.name);
    }
};

exports.default = getTypesInfo;
//# sourceMappingURL=getTypesInfo.js.map